# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`zram`](#zram): Configures and loads zram kernel module
* [`zram::config`](#zramconfig): Configuration for the zram module
* [`zram::load`](#zramload): Loads the zram kernel module

### Tasks

* [`reload`](#reload): Reloads the zram kernel module

## Classes

### `zram`

zram

This module configures zram using udev rules (no init scripts or systemd
units needed).

#### Examples

##### 

```puppet
class { 'zram': }
```

#### Parameters

The following parameters are available in the `zram` class.

##### `numdevices`

Data type: `Integer`

Number of zram devices.  Defaults to the number of processors ($::processorcount).

Default value: `$facts['processorcount']`

##### `disksize`

Data type: `Integer`

Size of zram devices.  Defaults to half of memory divided by numdevices.

Default value: `(`

### `zram::config`

zram::config

Configuration for the zram module.  This can
only be called from the main zram class.

#### Examples

##### 

```puppet
include zram::config
```

### `zram::load`

zram::load

Loads the zram kernel module.  Intended
to be called from the main zram class.

#### Examples

##### 

```puppet
include zram::load
```

## Tasks

### `reload`

Reloads the zram kernel module

**Supports noop?** true

#### Parameters

##### `verbose`

Data type: `Optional[Boolean]`

Enable verbose output

